FBSERV
1
BRL-CAD
BRL-CAD

# fbserv

Frame-buffer Server

      fbserv
        -s Ssquare_size
        -w Wwidth
        -n Nheight
        -p port_number
        -F frame_buffer
        -v
        port_number
        frame_buffer

## DESCRIPTION

`fbserv` opens a framebuffer that may be used by any BRL-CAD routine accessing a framebuffer. The `-s or -S` option specifies that a square framebuffer of the specified size (in pixels) is desired. The `-n or -N` option indicates the framebuffer height. The `-w or -W` option indicates the framebuffer width. The `-v` option (verbosity) yields more information about the current process. The `-p` option supplies a port number and the `-F` option indicates what framebuffer device to use. The framebuffer device may be included on the command line without the `-F` option if it is the last token on the command line. The port number may also be specified without the `-p` option. If both the `-F and -p` options are not used, the port number must be followed by the framebuffer device on the command line. While `fbserv` is running, its port number may then be used in other commands that access a framebuffer by supplying that port number with the `-F` option for that command. The `fbserv` command may be executed by users at a shell prompt, or it may be used as an inetd remote framebuffer server by specifying `fbserv` as a server program in inetd.conf.

## EXAMPLES

    fbserv 0 &

This command will start a standalone fbserv daemon. Any access of a framebuffer specifying port 0 will result in opening a new framebuffer.

    fbserv -s 1024 0 /dev/sgil &

The above command will open a 1024 X 1024 '/dev/sgil' framebuffer and associate port number 0 with it. Any access of a framebuffer specifying port 0 will use the already opened '/dev/sgil' framebuffer.

## SEE ALSO

bw-fb 1, cat-fb 1, cell-fb 1, cmap-fb 1, gif-fb 1, pix-fb 1, plot3-fb 1, polar-fb 1, rle-fb 1, fbcmap 1, fbcmrot 1, fbclear 1, fbcbars 1, fbanin 1, fbcolor 1, fbfade 1, fbframe 1, fbfree 1, fbgamma 1, fbgrid 1, fbhelp 1, fblabel 1, fbline 1, fbpoint 1, fbscanplot 1, fbstretch 1, fbzoom 1.

## DIAGNOSTICS

Error messages are intended to be self-explanatory.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1994-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.